HP OfficeJet 6600

Forum rules
Before you post please read this

HP OfficeJet 6600

Postby neeeaaat on Sun Oct 14, 2012 8:20 pm

I am new to linux and know next to nothing. I bought a new HP Officejet 6600 printer and I am trying to install it on my computer.

I believe I need to install a new hplip driver. It looks like there was one installed with linux, but it doesnt appear to support the 6600. I went to http://hplipopensource.com/hplip-web/index.html? and selected Linux Mint. I think my version is 12, but I wasnt 100% sure. I put in the make and model of the printer and the site indicates that "Linux Mint 12 supplies HPLIP 3.10.4 and it does not support your printer. You must download and install HPLIP in order to use your printer with Linux Mint 12." After a series of Nexts, it gives me the option to download HPLIP. A box pops up saying I have chosen to open hplip-3.12.10a.run. I choose "save file" and my downloads box appears. I double click on the run file and a gedit box appears with a loading status bar. Once the bar gets to the end, this message appears "There was a problem opening the file ****.run. The file you opened has some invalid characters. If you continue editing this file you could corrupt this document. You can also choose another character encoding and try again."

I am not sure what to do at this point. I dont know if I need to uninstall the hplip files that were already on my computer or if i did something wrong getting to this point.

Any help would be greatly appreciated. Thanks!!!
neeeaaat
Level 1
Level 1
 
Posts: 2
Joined: Sun Oct 14, 2012 8:03 pm

Linux Mint is funded by ads and donations.
 

Re: HP OfficeJet 6600

Postby pdc_2 on Mon Oct 15, 2012 1:52 pm

you don't say which version of Mint you are using; you are using Mint?

I have Mint 13 installed; (came out April this year...........)

....it has hplip already installed........

if you paste this

http://localhost:631/admin

into a spare web page, it allows you to manage printers in your own system .......

..I would have thought if you just plugged in your HP; connected with USB cable etc that Mint would recognise and configure it automatically for you
pdc_2
Level 5
Level 5
 
Posts: 812
Joined: Mon May 11, 2009 1:21 am

Re: HP OfficeJet 6600

Postby neeeaaat on Mon Oct 15, 2012 8:24 pm

Thanks for the response!!

I am using linux mint. I am not sure what version.

When I used that link to manage the printers, it asked me to select a printer and my HP Officejet 6600 was not on the list. It stopped at 6500, which is why I thought I had to get a different hplip. Also, I am trying to connect wireless if that makes a difference.
neeeaaat
Level 1
Level 1
 
Posts: 2
Joined: Sun Oct 14, 2012 8:03 pm

Re: HP OfficeJet 6600

Postby pdc_2 on Mon Oct 15, 2012 11:26 pm

I googled on

ubuntu solved HP OfficeJet 6600


and this seems your best bet to read:

https://answers.launchpad.net/ubuntu/+s ... ion/204992

they say: you need hplip 3.12.4

and the thread has ever increasing details of advice

the last seems the most detailed; and best:

........................so.......................................

.......open a terminal: in turn, paste each of the three commands below into the terminal and hit the enter key after each paste: I use the Menu bar at the top of the terminal to copy and paste as you need control shift c to copy and I can't use that many fingers at one time !!!!!!!!!!!



chmod +x ./hplip-3.12.6.run


./hplip-3.12.6.run


that should give you what you need and then go back to the

http://localhost:631/admin

and see if it is all set up....................

It will install
pdc_2
Level 5
Level 5
 
Posts: 812
Joined: Mon May 11, 2009 1:21 am


Return to Printers & Scanners

Who is online

Users browsing this forum: Bryan88 and 2 guests